| Flutter iOS Embedder |

Instance Methods | Class Methods | Properties | List of all members
FlutterSpellCheckResult Class Reference

`#import <FlutterSpellCheckPlugin.h>`

Inheritance diagram for FlutterSpellCheckResult:

## Instance Methods
(instancetype) | - NS_UNAVAILABLE
(instancetype) | - initWithMisspelledRange:suggestions:
(NSDictionary< NSString *, NSObject * > *) | - toDictionary

## Class Methods
(instancetype) | + NS_UNAVAILABLE

## Properties
NSArray< NSString * > * | suggestions
NSRange | misspelledRange

## Detailed Description

Definition at line 19 of file FlutterSpellCheckPlugin.h.

## Method Documentation

## ◆ initWithMisspelledRange:suggestions:

- (instancetype) initWithMisspelledRange: |  | (NSRange) | range
suggestions: |  | (NSArray<NSString*>*) | NS_DESIGNATED_INITIALIZER

Definition at line 143 of file FlutterSpellCheckPlugin.mm.

143 :(NSRange)range
144 suggestions:(NSArray<NSString*>*)suggestions {
145 self = [super init];
146 if (self) {
147 _suggestions = [suggestions copy];
148 _misspelledRange = range;
149 }
150 return self;
151 }

## ◆ NS_UNAVAILABLE [1/2]

+ (instancetype) NS_UNAVAILABLE |  |  |

## ◆ NS_UNAVAILABLE [2/2]

- (instancetype) NS_UNAVAILABLE |  |  |

## ◆ toDictionary

- (NSDictionary< NSString *, NSObject * > *) toDictionary |  |  |

Definition at line 153 of file FlutterSpellCheckPlugin.mm.

153 {
154 NSMutableDictionary* result = [[[NSMutableDictionary alloc] initWithCapacity:3] autorelease];
155 result[@"startIndex"] = @(_misspelledRange.location);
156 // The end index represents the next index after the last character of a misspelled word to match
157 // the behavior of Dart's TextRange: https://api.flutter.dev/flutter/dart-ui/TextRange/end.html
158 result[@"endIndex"] = @(_misspelledRange.location + _misspelledRange.length);
159 result[@"suggestions"] = _suggestions;
160 return result;
161 }

## Property Documentation

## ◆ misspelledRange

- (NSRange) misspelledRange
| read nonatomic assign

Definition at line 22 of file FlutterSpellCheckPlugin.h.

## ◆ suggestions

- (NSArray<NSString*>*) suggestions
| read nonatomic copy

Definition at line 21 of file FlutterSpellCheckPlugin.h.

The documentation for this class was generated from the following files:

- shell/platform/darwin/ios/framework/Source/FlutterSpellCheckPlugin.h
- shell/platform/darwin/ios/framework/Source/FlutterSpellCheckPlugin.mm

FlutterSpellCheckResult::suggestions
NSArray< NSString * > * suggestions
Definition: FlutterSpellCheckPlugin.h:21